commit:     b99a7a3dd52a72ba2888597d8a5ee9c5e304d4a9
Author:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Fri Oct 28 20:04:49 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 21:28:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b99a7a3d

net-libs/libsrtp: version bump to 1.5.4 and 2.0.0.

This commit:
* adds LibreSSL support.
* switches to EAPI 6.
* cleans up the src_prepare phase.

Gentoo-Bug: https://bugs.gentoo.org/596398
Closes: https://github.com/gentoo/gentoo/pull/2689

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 net-libs/libsrtp/Manifest                          |  2 +
 .../libsrtp/files/libsrtp-pcap-automagic-r0.patch  |  4 +-
 net-libs/libsrtp/libsrtp-1.5.4.ebuild              | 78 ++++++++++++++++++++++
 net-libs/libsrtp/libsrtp-2.0.0.ebuild              | 74 ++++++++++++++++++++
 4 files changed, 156 insertions(+), 2 deletions(-)

diff --git a/net-libs/libsrtp/Manifest b/net-libs/libsrtp/Manifest
index 3174207..a8b3d43 100644
--- a/net-libs/libsrtp/Manifest
+++ b/net-libs/libsrtp/Manifest
@@ -1,3 +1,5 @@
 DIST libsrtp-1.5.2.tar.gz 1690272 SHA256 
86e1efe353397c0751f6bdd709794143bd1b76494412860f16ff2b6d9c304eda SHA512 
fb09252edaca6da5b579fae34d3b6382ee0cf61a706e38283158ef10c879b9a0f80cfd0c354852e771b4649288dd5cc41158a4e046e8073cf26a586dfd41b024
 WHIRLPOOL 
973f27db06b725ca641a5c13184083926dbe0fd99ab18604b1d2d40fa0ab5118e9b978d729502a32bc25d05d6264ee501ff94f72e6dafd46588092f678f0a4c5
+DIST libsrtp-1.5.4.tar.gz 1646184 SHA256 
56a7b521c25134f48faff26b0b1e3d4378a14986a2d3d7bc6fefb48987304ff0 SHA512 
fcf6a36a0f687a6aa2b245e4055332ae892c953e19ebe3bfb7d091da0a7afbfcb804d9f602bd2d849235b559d3ca7924ee00c7f0da419c23b053b096ef4ccd19
 WHIRLPOOL 
7f4ee1f705efeeb635bc88845f094a49a7b447736799c8fd81d8cab4aa9c75f837f7dfb01295b2497f483ba033636cc5075258144a9afb87cea48c7bf57bb463
+DIST libsrtp-2.0.0.tar.gz 265564 SHA256 
2296d132fd8cadd691d1fffeabbc1b9c42ec09e9e780a0d9bd8234a98e63a5a1 SHA512 
61bba9aba9bb3e888c2bbc150411d0b3d583ed71ca455c5a3d4d6d06ecd383fdd61f86ad1979fb9c04da1b824e3fb9bb63f0d97e50b4a469d56907fb9dbc42d6
 WHIRLPOOL 
1ff2b9305d19e49f976708a885642fedb16c1775da1be5c977de6629cb705a3944402c54dd2b7e00ee67cac5ded828e457ac21e9e93178908a03177e203873ec
 DIST srtp-1.4.4.tgz 502890 SHA256 
d9c2cbb1c95172ed2dc963eff0d6ce1072326dc81cb1dd38414e9f0e430af314 SHA512 
951bfec212f579daae4a5a7fc9eded163dd6790da2e3840629dbeac36d7d960f95a1f1b844505629c7815816515f0784bf9b6e1c47f2986416ec04ec9d4b7564
 WHIRLPOOL 
82b01ce07de0c7b82d5f99b2fda6c72653e2927c3838a15dd1bb7e36725846599f2a96675dcf5ddfd7dcab9210f554b30fcf9bcb3806a60aa732d56926a4c07f
 DIST srtp-1.4.4_p20121108.tar.gz 485875 SHA256 
ebc0b7b27f5ab669a058c82f62b1c96298a961d54633d7041e776bca19a4f295 SHA512 
a6bf2674babed512bd90fd11d63adecf4ddf357d26652f321651fcc42d932d3d9f8713ecab4bdcddb026106a2d5bfbac0a626938f70822f5b1ee05881bb823d9
 WHIRLPOOL 
27296c776d60688dfa3c655999b6a87828036f9a71cff7a9ea9d1f0c6c5afa787eb625fb4ec9254b0eda459769fc0ca41cf4c1eaa38053cd365243c101f444bd

diff --git a/net-libs/libsrtp/files/libsrtp-pcap-automagic-r0.patch 
b/net-libs/libsrtp/files/libsrtp-pcap-automagic-r0.patch
index 2457e4d..12c677e 100644
--- a/net-libs/libsrtp/files/libsrtp-pcap-automagic-r0.patch
+++ b/net-libs/libsrtp/files/libsrtp-pcap-automagic-r0.patch
@@ -1,5 +1,5 @@
---- configure.in.orig  2015-03-25 15:37:31.953386365 +0000
-+++ configure.in       2015-03-25 15:39:49.192183689 +0000
+--- a/configure.in     2015-03-25 15:37:31.953386365 +0000
++++ b/configure.in     2015-03-25 15:39:49.192183689 +0000
 @@ -182,6 +182,8 @@
  AC_SUBST(HMAC_OBJS)
  

diff --git a/net-libs/libsrtp/libsrtp-1.5.4.ebuild 
b/net-libs/libsrtp/libsrtp-1.5.4.ebuild
new file mode 100644
index 00000000..1f3a3b8
--- /dev/null
+++ b/net-libs/libsrtp/libsrtp-1.5.4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Open-source implementation of the Secure Real-time Transport 
Protocol (SRTP)"
+HOMEPAGE="https://github.com/cisco/libsrtp";
+SRC_URI="https://github.com/cisco/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="aesicm console debug doc libressl openssl static-libs syslog test"
+
+RDEPEND="
+       openssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGES README TODO )
+
+PATCHES=( "${FILESDIR}/${PN}-pcap-automagic-r0.patch" )
+
+src_prepare() {
+       default
+
+       # test/rtpw.c is using /usr/share/dict/words assuming it exists
+       # using test/rtpw.c guaratees the file exists in any case
+       sed -i -e "s:/usr/share/dict/words:rtpw.c:" test/rtpw.c || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # stdout: default error output for messages in debug
+       # kernel-linux: breaks the build
+       # gdoi: disabled by upstream and breaks the build
+       # pcap: seems to be test-only
+       econf \
+               --enable-stdout \
+               --disable-kernel-linux \
+               --disable-gdoi \
+               --disable-pcap \
+               $(use_enable aesicm generic-aesicm) \
+               $(use_enable console) \
+               $(use_enable debug) \
+               $(use_enable openssl) \
+               $(use_enable syslog)
+}
+
+src_compile() {
+       use static-libs && emake ${PN}.a
+       emake shared_library
+       use test && emake test
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}" emake -j1 runtest
+
+       # Makefile.in has '$(testapp): libsrtp.a'
+       if use !static-libs; then
+               rm libsrtp.a || die
+       fi
+}
+
+src_install() {
+       # libsrtp.pdf can also be generated with doxygen
+       # but it would be a waste of time as an up-to-date version is built
+       use doc && DOCS+=( doc/*.txt doc/${PN}.pdf )
+
+       default
+}

diff --git a/net-libs/libsrtp/libsrtp-2.0.0.ebuild 
b/net-libs/libsrtp/libsrtp-2.0.0.ebuild
new file mode 100644
index 00000000..25cae68
--- /dev/null
+++ b/net-libs/libsrtp/libsrtp-2.0.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Open-source implementation of the Secure Real-time Transport 
Protocol (SRTP)"
+HOMEPAGE="https://github.com/cisco/libsrtp";
+SRC_URI="https://github.com/cisco/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="2/1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="aesicm console debug doc libressl openssl static-libs syslog test"
+
+RDEPEND="
+       openssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGES README TODO )
+
+PATCHES=( "${FILESDIR}/${PN}-pcap-automagic-r0.patch" )
+
+src_prepare() {
+       default
+
+       # test/rtpw.c is using /usr/share/dict/words assuming it exists
+       # using test/rtpw.c guaratees the file exists in any case
+       sed -i -e "s:/usr/share/dict/words:rtpw.c:" test/rtpw.c || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # stdout: default error output for messages in debug
+       # pcap: seems to be test-only
+       # openssl-kdf: OpenSSL 1.1.0+
+       econf \
+               --enable-stdout \
+               --disable-pcap \
+               --disable-openssl-kdf \
+               $(use_enable aesicm generic-aesicm) \
+               $(use_enable console) \
+               $(use_enable debug) \
+               $(use_enable openssl)
+}
+
+src_compile() {
+       use static-libs && emake ${PN}.a
+       emake shared_library
+       use test && emake test
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}" emake -j1 runtest
+
+       # Makefile.in has '$(testapp): libsrtp.a'
+       if use !static-libs; then
+               rm libsrtp.a || die
+       fi
+}
+
+src_install() {
+       # libsrtp.pdf can be generated with doxygen, but it seems to be broken.
+       use doc && DOCS+=( doc/*.txt )
+
+       default
+}

Reply via email to